
#define HASH_SIZE 741
#define MAX_STREAMS 128
#define MAX_PID 8192

struct scout_es
{
	unsigned long p;
	unsigned long p_p;

#define FL_PMT 1
#define FL_VIDEO 2
#define FL_AUDIO 3
#define FL_HD	4
#define FL_AC3	5

#define FL_STREAM_TYPE_MASK 7


	unsigned char flags;
	unsigned char next_cc;
	unsigned short sid;
	
};

struct scout_stream
{
	struct scout_stream * hash_next;
	
	u_int32_t saddr;
	u_int32_t daddr;
	u_int16_t source;
	u_int16_t dest;
	
	unsigned long p;
	unsigned long p_p;
	
	unsigned long cc_errors;
	
	struct scout_es es[MAX_PID];
};

struct scout_context
{
	struct scout_stream ** streams;

	char *	interface;
	int	prefix;
	unsigned long long packets;
	unsigned long long bytes;
	int streamcount;
	int cnt;
	
	struct timespec last_report;
	struct timespec startup_time;
	
	struct scout_stream *stream_hash[HASH_SIZE];

	unsigned int txt_pid;
	
	unsigned long non_udp;
	unsigned long non_mpeg;
	
	unsigned long total_packets;
	unsigned long long total_bytes;

	unsigned char quiet;
	unsigned char report;
	unsigned char avg;
	unsigned char sid;
	unsigned char v;
};


